Index: make/ChangeLog
===================================================================
--- make/ChangeLog	(revision 1a24742e30256b10f4055eb39d6631f00a9c8b46)
+++ make/ChangeLog	(revision e81ac77029eb1434df1ec7254f5de46e3b313e96)
@@ -1,4 +1,6 @@
 2006-03-16	Ralf Corsepius <ralf.corsepius@rtems.org>
 
+	* custom/hurricane.cfg, custom/rbtx4925.cfg, custom/rbtx4938.cfg:
+	New (Submission by Bruce Robinson <brucer@pmccorp.com>).
 	* custom/p4000.cfg, custom/p4600.cfg, custom/p4650.cfg:
 	Remove (abandoned).
Index: make/custom/hurricane.cfg
===================================================================
--- make/custom/hurricane.cfg	(revision e81ac77029eb1434df1ec7254f5de46e3b313e96)
+++ make/custom/hurricane.cfg	(revision e81ac77029eb1434df1ec7254f5de46e3b313e96)
@@ -0,0 +1,37 @@
+#
+#  Config file for the Quick Logic Hurricane evaluation board with PMC-Sierra RM5231 cpu
+#
+#  hurricane.cfg,v 1.21 2002/06/14 17:31:20 joel Exp
+#
+
+include $(RTEMS_ROOT)/make/custom/default.cfg
+
+RTEMS_CPU_MODEL=rm5231
+
+# This is the actual bsp directory used during the build process.
+RTEMS_BSP_FAMILY=hurricane
+
+#  This contains the compiler options necessary to select the CPU model
+#  and (hopefully) optimize for it. 
+CPU_CFLAGS = -mips3 -G0 -EL
+
+# optimize flag: typically -0, could use -O4 or -fast
+# -O4 is ok for RTEMS
+CFLAGS_OPTIMIZE_V=-O4 -fomit-frame-pointer
+
+# The following are definitions of make-exe which will work using ld as
+# is currently required.  It is expected that as of gcc 2.8, the end user
+# will be able to override parts of the compilers specs and link using gcc.
+
+define make-exe
+	$(LINK.c) $(AM_CFLAGS) $(AM_LDFLAGS) \
+	    -o $@ -Xlinker -Map -Xlinker $(basename $@).map $(LINK_OBJS) $(LINK_LIBS)
+	$(OBJCOPY) -O srec $@ $(basename $@).srec1
+        $(PACKHEX) < $(basename $@).srec1 > $(basename $@).srec
+	$(RM) $(basename $@).srec1
+	$(NM) -n $@ > $(basename $@).num
+	$(SIZE) $@
+endef
+
+# Miscellaneous additions go here
+
Index: make/custom/rbtx4925.cfg
===================================================================
--- make/custom/rbtx4925.cfg	(revision e81ac77029eb1434df1ec7254f5de46e3b313e96)
+++ make/custom/rbtx4925.cfg	(revision e81ac77029eb1434df1ec7254f5de46e3b313e96)
@@ -0,0 +1,37 @@
+#
+#  Config file for the Toshiba RBTX4925 evaluation board with TX4925 cpu
+#
+#  rbtx4925.cfg,v 1.21 2002/06/14 17:31:20 joel Exp
+#
+
+include $(RTEMS_ROOT)/make/custom/default.cfg
+
+RTEMS_CPU_MODEL=tx4925
+
+# This is the actual bsp directory used during the build process.
+RTEMS_BSP_FAMILY=rbtx4925
+
+#  This contains the compiler options necessary to select the CPU model
+#  and (hopefully) optimize for it. 
+CPU_CFLAGS = -mips3 -G0 -EL -DCPU_TX49
+
+# optimize flag: typically -0, could use -O4 or -fast
+# -O4 is ok for RTEMS
+CFLAGS_OPTIMIZE_V=-O4 -fomit-frame-pointer
+
+# The following are definitions of make-exe which will work using ld as
+# is currently required.  It is expected that as of gcc 2.8, the end user
+# will be able to override parts of the compilers specs and link using gcc.
+
+define make-exe
+	$(LINK.c) $(AM_CFLAGS) $(AM_LDFLAGS) \
+	    -o $@ -Xlinker -Map -Xlinker $(basename $@).map $(LINK_OBJS) $(LINK_LIBS)
+	$(OBJCOPY) -O srec $@ $(basename $@).srec1
+        $(PACKHEX) < $(basename $@).srec1 > $(basename $@).srec
+	$(RM) $(basename $@).srec1
+	$(NM) -n $@ > $(basename $@).num
+	$(SIZE) $@
+endef
+
+# Miscellaneous additions go here
+
Index: make/custom/rbtx4938.cfg
===================================================================
--- make/custom/rbtx4938.cfg	(revision e81ac77029eb1434df1ec7254f5de46e3b313e96)
+++ make/custom/rbtx4938.cfg	(revision e81ac77029eb1434df1ec7254f5de46e3b313e96)
@@ -0,0 +1,33 @@
+#
+#  Config file for the Toshiba RBTX4938 evaluation board with TX4938 cpu
+#
+#  rbtx4938.cfg,v 1.21 2002/06/14 17:31:20 joel Exp
+#
+
+include $(RTEMS_ROOT)/make/custom/default.cfg
+
+RTEMS_CPU_MODEL=tx4938
+
+# This is the actual bsp directory used during the build process.
+RTEMS_BSP_FAMILY=rbtx4938
+
+#  This contains the compiler options necessary to select the CPU model
+#  and (hopefully) optimize for it. 
+CPU_CFLAGS = -mips3 -G0 -EL -DCPU_TX49
+
+# optimize flag: typically -0, could use -O4 or -fast
+# -O4 is ok for RTEMS
+CFLAGS_OPTIMIZE_V=-fomit-frame-pointer
+
+# The following are definitions of make-exe which will work using ld as
+# is currently required.  It is expected that as of gcc 2.8, the end user
+# will be able to override parts of the compilers specs and link using gcc.
+
+define make-exe
+	$(LINK.c) $(AM_CFLAGS) $(AM_LDFLAGS) \
+	    -o $@ -Xlinker -Map -Xlinker $(basename $@).map $(LINK_OBJS) $(LINK_LIBS)
+	$(OBJCOPY) --srec-len=30 -O srec $@ $(basename $@).srec
+endef
+
+# Miscellaneous additions go here
+
